Name:           jove
Version:        4.17.5.3
Release:        1%{?dist}
Summary:        A fast small Emacs clone

License:        TBD
URL:            https://github.com/jonmacs/jove
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequireS:  gcc
BuildRequires:  groff
BuildRequires:  groff-perl
BuildRequires:  ncurses-devel

%description
Jove is a compact, powerful Emacs-style text-editor. It provides the common
emacs keyboard bindings, together with a reasonable assortment of the most
popular advanced features (e.g. interactive shell windows, compile-it,
language specific modes) while weighing in with CPU, memory, and disk
requirements comparable to vi(1).  It is 8-bit clean, but does not support
Unicode (or UTF-8 etc).

%prep
%autosetup


%build
# Keep both build and install make commands consistent, except for DESTDIR and targets.
# JOVEHOME must be the ultimate path since it will be compiled into JOVE.
%make_build JOVEHOME=%{_prefix} JLIBDIR=%{_libdir}/jove JSHAREDIR=%{_datadir}/jove \
	    JETCDIR=%{_sysconfdir}/jove JMANDIR=%{_mandir}/man1 SYSDEFS=-DLinux \
	    OPTFLAGS="%{optflags}" LDLIBS="-lncurses -ltinfo -lutil" all


%install
# Keep both build and install make commands consistent, except for DESTDIR and targets.
# JOVEHOME is a temporary home under %{buildroot}/.
# This can be different from JOVEHOME for the build phase's make.
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_mandir}/man1
%make_install DESTDIR=%{buildroot} JOVEHOME=%{_prefix} JLIBDIR=%{_libdir}/jove \
              JSHAREDIR=%{_datadir}/jove JETCDIR=%{_sysconfdir}/jove \
              JMANDIR=%{_mandir}/man1 SYSDEFS=-DLinux OPTFLAGS="%{optflags}" \
              LDLIBS="-lncurses -ltinfo -lutil"

%check
# No tests available


%files
%license LICENSE
%doc README
%{_sysconfdir}/jove
%{_bindir}/jove
%{_bindir}/teachjove
%dir %{_libdir}/jove
%{_libdir}/jove/recover
%{_mandir}/man1/jove.1*
%{_mandir}/man1/teachjove.1*
%dir %{_docdir}/jove
%{_docdir}/jove/example.rc
%{_docdir}/jove/jove.man.pdf
%{_docdir}/jove/jove.man.txt
%{_docdir}/jove/jove.qref
%dir %{_datadir}/jove
%{_datadir}/jove/cmds.txt
%{_datadir}/jove/jem.txt
%{_datadir}/jove/jove.rc
%{_datadir}/jove/jove.rc.3022
%{_datadir}/jove/jove.rc.sun
%{_datadir}/jove/jove.rc.sun-cmd
%{_datadir}/jove/jove.rc.vt100
%{_datadir}/jove/jove.rc.wyse
%{_datadir}/jove/jove.rc.xterm
%{_datadir}/jove/jove.rc.xterm-256color
%{_datadir}/jove/jove.rc.z29
%{_datadir}/jove/keychart.3022
%{_datadir}/jove/keychart.sun
%{_datadir}/jove/keychart.sun-cmd
%{_datadir}/jove/keychart.vt100
%{_datadir}/jove/keychart.wyse
%{_datadir}/jove/keychart.xterm
%{_datadir}/jove/keychart.xterm-256color
%{_datadir}/jove/keychart.z29
%{_datadir}/jove/teach-jove
%{_datadir}/jove/XTermresource
%dir %{_sharedstatedir}/jove
%dir %{_sharedstatedir}/jove/preserve


%changelog
* Fri Oct 25 2024 Benson Muite <benson_muite@emailplus.org> - 4.17.5.3-1
- Unretire package

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.16.0.73-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.16.0.73-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.16.0.73-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.16.0.73-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.16.0.73-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Paul Wouters <pwouters@redhat.com> - 4.16.0.73-4
- Include more jove documentation (txt,ps) and quick ref card

* Mon Jul 16 2012 Paul Wouters <pwouters@redhat.com> - 4.16.0.73-3
- Fix license to "Copyright only" as per spot's advise
- Removed defattr (no el5 built)
- use global, not define

* Sun Jun 10 2012 Paul Wouters <pwouters@redhat.com> - 4.16.0.73-2
- new .spec file

* Sun Jul 11 2010 D. Hugh Redelmeier 4.16.0.73
- added NROFF="nroff -Tascii" to Makefile and jove.spec to force groff to use ASCII
- spelling corrections [Cord Beermann]
- remove -lolgx from xjove link [Cord Beermann]
- improve recover's email Subject [Cord Beermann]

* Mon May 24 2010 D. Hugh Redelmeier 4.16.0.72
- eliminate strcpy and byte_copy calls with overlapping source and destination
- fix setmaps.c misuse of fprintf

* Sun May 16 2010 D. Hugh Redelmeier 4.16.0.71
- add new variable display-default-filenames (Casey Leedom)
- eliminate most GCC warnings; improve handling of some errors
- allow for Linux/glibc elimination of I_PUSH (pseudo TTY STREAMS)
- improve jove.spec for Red Hat packaging
- delete obsolete command process-dbx-output
- delete obsolete variables allow-bad-filenames, display-bad-filenames, internal-tabstop
- add bindings for more xterm function key variants
